<section class="page-section">
  <header class="page-section__header">
    <h2 class="page-section__title">Référentiel</h2>
  </header>
  <div>
    <p>Une version du référentiel de données pédagogique est créée quotidiennement (vers 4h00) et le référentiel utilisé
      par l'application est mis à jour (vers 6h00).</p>
    <p>Si le cache a été vidé, il peut s’avérer utile ou nécessaire de recharger le référentiel.</p>
    <PixMessage @type="alert" @withIcon={{true}}>
      <strong>Attention !</strong>
      Le rechargement du référentiel est une opération risquée. Il est recommandé de ne l’effectuer qu’en cas de force
      majeure, accompagné d’un développeur ou d'une développeuse.
    </PixMessage>
    <PixMessage @type="info">Durée de l’opération : <strong>≈10s</strong>.</PixMessage>

    <PixButton class="btn-refresh-cache" @triggerAction={{this.refreshLearningContent}}>
      <FaIcon @icon="arrows-rotate" />
      Recharger le cache
    </PixButton>
    <br /><br />
    <p>Si quelque chose a été changé dans le référentiel et qu'il faut appliquer ces changements dans l'application, il
      faut créer une nouvelle version et mettre à jour le cache.</p>
    <PixMessage @type="info">Durée de l’opération : <strong>≈1mn</strong>.</PixMessage>
    <PixButton
      @triggerAction={{this.createLearningContentReleaseAndRefreshCache}}
      @backgroundColor="yellow"
      class="pix-button__secondary"
    >
      <FaIcon @icon="arrows-rotate" />
      Créer une nouvelle version du référentiel et recharger le cache
    </PixButton>
  </div>
</section>